//*************************************************
// ROUTINE PER PWM
//
// modulo: pwm.c
// 
// data: 08/06/2012
// descrizione: mudulo per centralina per automatizzare le persiane
// picmicro: PIC16F88
//*************************************************

void PWMDuty(unsigned int duty) 
		{
CCP1Y= 0b00000001&duty;
CCP1X= 0b00000001&(duty>>1);
CCPR1L=0b11111111&(duty>>2);
		}
void PWMSetup(void) 
		{
CCP1CON=0; //resetto il modulo CCP1 
PR2=0x63; //inserire qui il valore di PR2 desiderato
PWMDuty(0); //DC 0% con LAP con risoluzione 8 bit

TRISB3=0;//setto pin B3 come out PWM
T2CON=0b00000100; //senza prescaler e post scaler e attivo Timer2
CCP1M3=1; CCP1M2=1; CCP1M1=0; CCP1M0=0; //modalit... PWM

		}